---
title: fit-content
slug: Web/CSS/fit-content
tags:
  - CSS
  - Keyword
  - Reference
  - Web
  - fit-content
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>fit-content</code></strong> behaves as <code>fit-content(stretch)</code>. In practice this means that the box will use the available space, but never more than {{cssxref("max-content")}}.</span></p>

<p>When used as laid out box size for {{cssxref("width")}}, {{cssxref("height")}}, {{cssxref("min-width")}}, {{cssxref("min-height")}}, {{cssxref("max-width")}} and {{cssxref("max-height")}} the maximum and minimum sizes refer to the content size.</p>

<div class="notecard note">
<p>The CSS Sizing specification also defines the {{cssxref("fit-content()", "fit-content()")}} function. This page details the keyword.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">width: fit-content
block-size: fit-content
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_fit-content_for_box_sizing">Using fit-content for box sizing</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="container"&gt;
  &lt;div class="item"&gt;Item&lt;/div&gt;
  &lt;div class="item"&gt;Item with more text in it.&lt;/div&gt;
  &lt;div class="item"&gt;Item with more text in it, hopefully we have added enough text so the text will start to wrap.&lt;/div&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.container {
  border: 2px solid #ccc;
  padding: 10px;
  width: 20em;
}

.item {
  width: -moz-fit-content;
  width: fit-content;
  background-color: #8ca0ff;
  padding: 5px;
  margin-bottom: 1em;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Using_fit-content_for_box_sizing", "100%", 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Sizing", "#valdef-width-fit-content", "fit-content")}}</td>
   <td>{{Spec2("CSS4 Sizing")}}</td>
   <td>Defines the value as laid out box size for {{cssxref("width")}}, {{cssxref("height")}}, {{cssxref("min-width")}}, {{cssxref("min-height")}}, {{cssxref("max-width")}} and {{cssxref("max-height")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="Supported_for_width_and_other_sizing_properties">Supported for width (and other sizing properties)</h3>

<p>{{Compat("css.properties.width.fit-content")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related sizing keywords: {{cssxref("min-content")}}, {{cssxref("max-content")}} </li>
</ul>
